using UnityEngine;

public class canazalma : MonoBehaviour
{
    private void OnCollisionEnter2D(Collision2D collision)
    {
        // Oyuncu ile çarpışmayı kontrol et
        if (collision.gameObject.CompareTag("Player")) // "Player" tag'ine sahip bir nesneyle çarpışma
        {
            PlayerHealthSystem.Instance.DecreaseHealth(25); // 25 can azaltılır
            Debug.Log("Kalan Can: " + PlayerHealthSystem.Instance.Health);
        }
    }
}
